VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::vcenter::VMDefinitions Class Reference

Defines the type descriptors for the VM API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | placementSpec
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | createSpec
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | info
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | filterSpec
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | summary
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | createInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | createOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | get_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | get_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | deleteInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | deleteOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | listInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | listOutput

## Detailed Description

Defines the type descriptors for the VM API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::VMDefinitions::createInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("spec", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.VMDefinitions.createSpec.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::VMDefinitions::createOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.IdType("VirtualMachine");
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::VMDefinitions::createSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("guest_OS", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.GuestOS)));
                    fields.Add("name", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("placement", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.VMDefinitions.placementSpec.Value))));
                    fields.Add("hardware_version", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.HardwareTypes.Version))));
                    fields.Add("boot", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.BootDefinitions.createSpec.Value))));
                    fields.Add("boot_devices", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.boot.DeviceDefinitions.entryCreateSpec.Value)))));
                    fields.Add("cpu", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.CpuDefinitions.updateSpec.Value))));
                    fields.Add("memory", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.MemoryDefinitions.updateSpec.Value))));
                    fields.Add("disks", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.DiskDefinitions.createSpec.Value)))));
                    fields.Add("nics", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.EthernetDefinitions.createSpec.Value)))));
                    fields.Add("cdroms", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.CdromDefinitions.createSpec.Value)))));
                    fields.Add("floppies", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.FloppyDefinitions.createSpec.Value)))));
                    fields.Add("parallel_ports", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.ParallelDefinitions.createSpec.Value)))));
                    fields.Add("serial_ports", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.SerialDefinitions.createSpec.Value)))));
                    fields.Add("sata_adapters", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.adapter.SataDefinitions.createSpec.Value)))));
                    fields.Add("scsi_adapters", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.adapter.ScsiDefinitions.createSpec.Value)))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.VM.create_spec", fields, typeof(vmware.vcenter.VMTypes.CreateSpec), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::VMDefinitions::deleteInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::VMDefinitions::deleteOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::VMDefinitions::filterSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vms", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.SetType(new vmware.vapi.bindings.type.IdType("VirtualMachine"))));
                    fields.Add("names", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.SetType(new vmware.vapi.bindings.type.StringType())));
                    fields.Add("folders", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.SetType(new vmware.vapi.bindings.type.IdType("Folder"))));
                    fields.Add("datacenters", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.SetType(new vmware.vapi.bindings.type.IdType("Datacenter"))));
                    fields.Add("hosts", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.SetType(new vmware.vapi.bindings.type.IdType("HostSystem"))));
                    fields.Add("clusters", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.SetType(new vmware.vapi.bindings.type.IdType("ClusterComputeResource"))));
                    fields.Add("resource_pools", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.SetType(new vmware.vapi.bindings.type.IdType("ResourcePool"))));
                    fields.Add("power_states", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.SetType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.PowerTypes.State)))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.VM.filter_spec", fields, typeof(vmware.vcenter.VMTypes.FilterSpec), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::VMDefinitions::get_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::VMDefinitions::get_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.VMDefinitions.info.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::VMDefinitions::info`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("guest_OS", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.GuestOS)));
                    fields.Add("name", new vmware.vapi.bindings.type.StringType());
                    fields.Add("power_state", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.PowerTypes.State)));
                    fields.Add("hardware", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.HardwareDefinitions.info.Value)));
                    fields.Add("boot", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.BootDefinitions.info.Value)));
                    fields.Add("boot_devices", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.boot.DeviceDefinitions.entry.Value))));
                    fields.Add("cpu", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.CpuDefinitions.info.Value)));
                    fields.Add("memory", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.MemoryDefinitions.info.Value)));
                    fields.Add("disks", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vcenter.vm.hardware.Disk"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.DiskDefinitions.info.Value))));
                    fields.Add("nics", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vcenter.vm.hardware.Ethernet"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.EthernetDefinitions.info.Value))));
                    fields.Add("cdroms", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vcenter.vm.hardware.Cdrom"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.CdromDefinitions.info.Value))));
                    fields.Add("floppies", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vcenter.vm.hardware.Floppy"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.FloppyDefinitions.info.Value))));
                    fields.Add("parallel_ports", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vcenter.vm.hardware.ParallelPort"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.ParallelDefinitions.info.Value))));
                    fields.Add("serial_ports", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vcenter.vm.hardware.SerialPort"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.SerialDefinitions.info.Value))));
                    fields.Add("sata_adapters", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vcenter.vm.hardware.SataAdapter"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.adapter.SataDefinitions.info.Value))));
                    fields.Add("scsi_adapters", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vcenter.vm.hardware.ScsiAdapter"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.adapter.ScsiDefinitions.info.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.VM.info", fields, typeof(vmware.vcenter.VMTypes.Info), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::VMDefinitions::listInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("filter", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.VMDefinitions.filterSpec.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::VMDefinitions::listOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.VMDefinitions.summary.Value)));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::VMDefinitions::placementSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("folder", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("Folder")));
                    fields.Add("resource_pool", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("ResourcePool")));
                    fields.Add("host", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("HostSystem")));
                    fields.Add("cluster", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("ClusterComputeResource")));
                    fields.Add("datastore", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("Datastore")));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.VM.placement_spec", fields, typeof(vmware.vcenter.VMTypes.PlacementSpec), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::VMDefinitions::summary`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    fields.Add("name", new vmware.vapi.bindings.type.StringType());
                    fields.Add("power_state", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.PowerTypes.State)));
                    fields.Add("cpu_count", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IntegerType()));
                    fields.Add("memory_size_MiB", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IntegerType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.VM.summary", fields, typeof(vmware.vcenter.VMTypes.Summary), validators, false, null);
                })

The documentation for this class was generated from the following file:

- VMDefinitions.cs